subscriptions
Reactivate subscription
Reactivates a cancelled or expired subscription {token}, optionally
setting next_bill_date, process_immediately, or a billing address_id.
Requires a bearer token. Returns 422 when it cannot be reactivated, 404
when not found, and 401 when unauthenticated.
POST
/
api
/
checkout
/
v2026-04
/
subscriptions
/
{token}
/
reactivate
Reactivate subscription
curl --request POST \
--url https://api.fluid.app/api/checkout/v2026-04/subscriptions/{token}/reactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"next_bill_date": "2023-12-25",
"process_immediately": true,
"address_id": 123
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/subscriptions/{token}/reactivate"
payload = {
"next_bill_date": "2023-12-25",
"process_immediately": True,
"address_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({next_bill_date: '2023-12-25', process_immediately: true, address_id: 123})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/subscriptions/{token}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"subscription_discounts": [
{
"id": 123,
"duration_cycles": 123,
"applied_cycles": 123,
"removed_reason": "<string>",
"attached_via": "<string>",
"discount": {
"id": 123,
"code": "<string>"
},
"discount_version": {
"id": 123,
"version_number": 123,
"code": "<string>",
"price_discount_type": "<string>",
"flat_value": 123,
"percentage_value": 123,
"apply_to_volume": true
},
"starts_at": "2023-11-07T05:31:56Z",
"removed_at": "2023-11-07T05:31:56Z",
"attached_by": {
"id": 123,
"label": "<string>"
}
}
],
"renewal_discount_total": 123,
"id": 123,
"subscription_token": "<string>",
"status": "<string>",
"currency": {
"id": 123,
"name": "<string>",
"code": "<string>",
"rate": "<string>",
"active": true,
"symbol": "<string>"
},
"timezone": "<string>",
"address_id": 123,
"order_id": 123,
"notes": "<string>",
"customer_notes": [
{
"id": 123,
"note": "<string>",
"customer_id": 123,
"resource_id": 123,
"resource_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user_company_id": 123,
"user_company": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"image_url": "<string>"
}
}
],
"quantity": 123,
"decline_count": 123,
"attempts": 123,
"skipped_count": 123,
"max_skips": 123,
"digital": true,
"disabled": true,
"price": 123,
"original_price": 123,
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"shipping_fee": 123,
"shipping_fee_for_display": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"last_bill_date": "2023-11-07T05:31:56Z",
"next_bill_date": "2023-11-07T05:31:56Z",
"last_ship_date": "2023-11-07T05:31:56Z",
"next_ship_date": "2023-11-07T05:31:56Z",
"last_failed_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"full_name": "<string>",
"email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user_company_id": 123,
"metadata": {},
"email_marketing": true,
"sms_marketing": true,
"account_id": "<string>",
"phone": "<string>",
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"verified_email": true,
"orders_count": 123,
"display_total_spent": "<string>",
"name": "<string>",
"role": "<string>",
"last_order_id": 123,
"notes": "<string>",
"active": true,
"total_spent": "<string>",
"customer_notes": [
{
"id": 123,
"note": "<string>",
"customer_id": 123,
"resource_id": 123,
"resource_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user_company_id": 123,
"user_company": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"image_url": "<string>"
}
}
],
"default_address": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"addresses": [
{
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
}
],
"payment_methods": [
{
"id": 123,
"source": "<string>",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"logo_url": "<string>",
"payment_title": "<string>",
"user_id": 123
}
],
"is_rep": true,
"is_discarded": true,
"tax_exempt": true,
"sales_tax_id": "<string>",
"active_subscriptions_count": 123,
"inactive_subscriptions_count": 123,
"metafields": [
{
"id": 123,
"namespace": "<string>",
"key": "<string>",
"value": "<string>",
"value_type": "<string>",
"description": "<string>",
"owner_type": "<string>",
"owner_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metafield_definition": {
"id": 123,
"company_id": 123,
"namespace": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"value_type": "<string>",
"validation_rules": {
"choices": [
"<string>"
],
"min": 123,
"max": 123,
"max_precision": 123,
"regex": "<string>",
"file_type_options": [
"<string>"
],
"list.min": 123,
"list.max": 123,
"required_keys": [
"<string>"
],
"allowed_keys": [
"<string>"
]
},
"owner_resource": "<string>",
"pinned": true,
"position": 123,
"locked": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"list_type": true,
"reference_type": true,
"supported_validations": [
"<string>"
],
"validation_description": "<string>",
"category_ids": [
123
]
}
}
],
"member_id": "<string>",
"jwt": "<string>"
},
"address": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": "<string>",
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"customer_limit": 123,
"active_variant_countries": [
"<string>"
],
"product": {
"id": 123,
"title": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"cv": "<string>",
"tax": "<string>",
"sku": "<string>",
"metadata": {},
"external_id": "<string>",
"canonical_url": "<string>",
"price": "<string>",
"introduction": "<string>",
"price_in_currency": "<string>",
"tax_in_currency": "<string>",
"cv_in_currency": "<string>",
"metafields": [
{
"id": 123,
"namespace": "<string>",
"key": "<string>",
"value": "<string>",
"value_type": "<string>",
"description": "<string>",
"owner_type": "<string>",
"owner_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metafield_definition": {
"id": 123,
"company_id": 123,
"namespace": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"value_type": "<string>",
"validation_rules": {
"choices": [
"<string>"
],
"min": 123,
"max": 123,
"max_precision": 123,
"regex": "<string>",
"file_type_options": [
"<string>"
],
"list.min": 123,
"list.max": 123,
"required_keys": [
"<string>"
],
"allowed_keys": [
"<string>"
]
},
"owner_resource": "<string>",
"pinned": true,
"position": 123,
"locked": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"list_type": true,
"reference_type": true,
"supported_validations": [
"<string>"
],
"validation_description": "<string>",
"category_ids": [
123
]
}
}
],
"product_bundle_groups": [
{
"id": 123,
"title": "<string>",
"description": "<string>",
"group_type": "<string>",
"purpose": "<string>",
"min_selections": 123,
"max_selections": 123,
"selection_type": "<string>",
"pricing_config": {
"pricing_type": "<string>",
"hidden": true,
"fixed_price": "<string>",
"min_price": "<string>",
"country_pricing": [
{
"country_code": "<string>",
"enabled": true,
"price": "<string>",
"wholesale": "<string>",
"subscription_price": "<string>",
"wholesale_subscription_price": "<string>",
"points": "<string>",
"cv": 123,
"qv": 123,
"wholesale_cv": 123,
"wholesale_qv": 123
}
]
},
"allow_subscriptions": true,
"force_subscriptions": true,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"images": [
{
"id": 123,
"image_url": "<string>",
"image_path": "<string>",
"position": 123,
"dam_asset_code": "<string>"
}
],
"bundle_group_items": [
{
"id": 123,
"quantity": 123,
"sort_order": 123,
"config": {
"price": "<string>",
"pc_price": "<string>",
"resolved_price": "<string>",
"resolved_wholesale_price": "<string>",
"resolved_cv": "<string>",
"resolved_qv": "<string>",
"resolved_wholesale_cv": "<string>",
"resolved_wholesale_qv": "<string>",
"cv": "<string>",
"qv": "<string>",
"pc_cv": "<string>",
"pc_qv": "<string>",
"is_default": true,
"quantity": 123,
"max_quantity": 123,
"allow_subscription": true,
"force_subscription": true,
"has_subscription_plans": true,
"subscription_plans": [
{
"id": 123,
"subscription_price_in_currency": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"wholesale_subscription_price_in_currency": "<string>",
"wholesale_subscribe_and_save_in_currency": "<string>",
"wholesale_subscribe_and_save_for_display": "<string>"
}
],
"image_url": "<string>",
"available_country_codes": [
"<string>"
],
"country_prices": {}
},
"variant": null
}
]
}
]
}
},
"subscription_plan": {
"id": 123,
"name": "<string>",
"billing_interval": 123,
"billing_interval_unit": "<string>",
"billing_frequency_in_words": "<string>",
"shipping_interval": 123,
"shipping_interval_unit": "<string>",
"volume_interval": 123,
"volume_interval_unit": "<string>",
"trial_period": 123,
"trial_period_unit": "<string>",
"split_volume": true,
"allow_skipping": true,
"max_skips": 123,
"allow_max_billing_cycles": true,
"max_billing_cycles": 123,
"price_adjustment_type": "<string>",
"price_adjustment_amount": 123,
"savings_display_mode": "<string>",
"active": true,
"company_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"products_count": 123,
"subscribers_count": 123
},
"company": {
"id": 123,
"name": "<string>"
},
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>"
},
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"next_order": {
"bill_date": "<string>",
"item_quantity": "<string>",
"item_price": "<string>"
},
"payment_method": {
"id": 123,
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"payment_title": "<string>",
"au_status": "<string>",
"default": true,
"payment_type": "<string>",
"details": {
"id": 123,
"card_network": "<string>",
"card_brand": "<string>",
"last4_digits": "<string>",
"last_four": "<string>",
"exp_month": "<string>",
"exp_year": "<string>",
"logo_url": "<string>",
"vgs_card_id": "<string>",
"requires_3ds": true,
"vault_id": "<string>",
"email_address": "<string>",
"id_token": "<string>"
},
"billing_address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"zip": "<string>",
"country_code": "<string>",
"name": "<string>"
}
},
"orders": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"order_number": "<string>",
"status": "<string>",
"order_type": "<string>",
"source": "<string>",
"amount": "<string>",
"amount_in_base": "<string>",
"base_to_currency_rate": "<string>",
"note": "<string>",
"currency_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"token": "<string>",
"refundable_amount": "<string>",
"order_status": "<string>",
"fulfillment_status": "<string>",
"financial_status": "<string>",
"warehouse_id": 123,
"points_applied": 123,
"points_applied_amount": 123,
"points_applied_amount_in_currency": "<string>",
"order_total_after_points_redemption": 123,
"total_points_credited": 123,
"free_shipping": true,
"discount_codes": [
"<string>"
],
"created_subscriptions": [
"<string>"
],
"shipping_method": {
"id": "<string>",
"title": "<string>",
"delivery_time_estimate": "<string>"
},
"items_quantity": 123
}
],
"bundled_items": [
{
"variant_id": 123,
"product_id": 123,
"product_title": "<string>",
"variant_title": "<string>",
"option_titles": [
"<string>"
],
"quantity": 123,
"display_to_customer": true,
"price": "<string>",
"group_title": "<string>",
"product_bundle_group_id": 123,
"subscription": true,
"subscription_plan_id": 123
}
],
"bundled_subscriptions": [
{
"id": 123,
"subscription_token": "<string>",
"price": 123,
"original_price": 123,
"subscription_plan_name": "<string>",
"currency": {
"id": 123,
"name": "<string>",
"code": "<string>",
"rate": "<string>",
"active": true,
"symbol": "<string>"
},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": "<string>",
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"customer_limit": 123,
"active_variant_countries": [
"<string>"
],
"product": {
"id": 123,
"title": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"cv": "<string>",
"tax": "<string>",
"sku": "<string>",
"metadata": {},
"external_id": "<string>",
"canonical_url": "<string>",
"price": "<string>",
"introduction": "<string>",
"price_in_currency": "<string>",
"tax_in_currency": "<string>",
"cv_in_currency": "<string>",
"metafields": [
{
"id": 123,
"namespace": "<string>",
"key": "<string>",
"value": "<string>",
"value_type": "<string>",
"description": "<string>",
"owner_type": "<string>",
"owner_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metafield_definition": {
"id": 123,
"company_id": 123,
"namespace": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"value_type": "<string>",
"validation_rules": {
"choices": [
"<string>"
],
"min": 123,
"max": 123,
"max_precision": 123,
"regex": "<string>",
"file_type_options": [
"<string>"
],
"list.min": 123,
"list.max": 123,
"required_keys": [
"<string>"
],
"allowed_keys": [
"<string>"
]
},
"owner_resource": "<string>",
"pinned": true,
"position": 123,
"locked": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"list_type": true,
"reference_type": true,
"supported_validations": [
"<string>"
],
"validation_description": "<string>",
"category_ids": [
123
]
}
}
],
"product_bundle_groups": [
{
"id": 123,
"title": "<string>",
"description": "<string>",
"group_type": "<string>",
"purpose": "<string>",
"min_selections": 123,
"max_selections": 123,
"selection_type": "<string>",
"pricing_config": {
"pricing_type": "<string>",
"hidden": true,
"fixed_price": "<string>",
"min_price": "<string>",
"country_pricing": [
{
"country_code": "<string>",
"enabled": true,
"price": "<string>",
"wholesale": "<string>",
"subscription_price": "<string>",
"wholesale_subscription_price": "<string>",
"points": "<string>",
"cv": 123,
"qv": 123,
"wholesale_cv": 123,
"wholesale_qv": 123
}
]
},
"allow_subscriptions": true,
"force_subscriptions": true,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"images": [
{
"id": 123,
"image_url": "<string>",
"image_path": "<string>",
"position": 123,
"dam_asset_code": "<string>"
}
],
"bundle_group_items": [
{
"id": 123,
"quantity": 123,
"sort_order": 123,
"config": {
"price": "<string>",
"pc_price": "<string>",
"resolved_price": "<string>",
"resolved_wholesale_price": "<string>",
"resolved_cv": "<string>",
"resolved_qv": "<string>",
"resolved_wholesale_cv": "<string>",
"resolved_wholesale_qv": "<string>",
"cv": "<string>",
"qv": "<string>",
"pc_cv": "<string>",
"pc_qv": "<string>",
"is_default": true,
"quantity": 123,
"max_quantity": 123,
"allow_subscription": true,
"force_subscription": true,
"has_subscription_plans": true,
"subscription_plans": [
{
"id": 123,
"subscription_price_in_currency": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"wholesale_subscription_price_in_currency": "<string>",
"wholesale_subscribe_and_save_in_currency": "<string>",
"wholesale_subscribe_and_save_for_display": "<string>"
}
],
"image_url": "<string>",
"available_country_codes": [
"<string>"
],
"country_prices": {}
},
"variant": null
}
]
}
]
}
}
}
],
"subscription_skips": [
{
"id": 123,
"skipped_date": "<string>",
"reason": "<string>",
"unskipped_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Subscription token
Body
application/json
Date to schedule the next bill (mutually exclusive with process_immediately)
Process the reactivation billing immediately. Must be true or omitted; sending false is rejected. Mutually exclusive with next_bill_date.
Available options:
true Address to reactivate the subscription with
⌘I
Reactivate subscription
